import CCCExtend from "./CCCExtend";
import RecycleScroll from "./RecycleScroll";
import ScrollItem from "./ScrollItem";

const { ccclass, property } = cc._decorator;

@ccclass
export default class demo extends cc.Component {
    @property(RecycleScroll)
    ldcScroll: RecycleScroll = null;

    onLoad() {
        CCCExtend.init();//修改引擎代码，进行功能扩展
        this.ldcScroll.numItems = 10000;
        this.ldcScroll.onItemRender = this.onItemRender.bind(this);
        this.ldcScroll.onItemClicked = this.onItemClicked.bind(this);
    }

    onItemRender(index: number, node: cc.Node) {
        const item = node.getComponent(ScrollItem);
        item.init(index + ``);
    }
    onItemClicked(index: number, node: cc.Node) {
        cc.log(`clicked`, index);
    }
}
